## codespell 1.6

=== Makefile ===
prefix ?= /usr
bindir ?= ${prefix}/bin
datadir ?= ${prefix}/share/codespell

_VERSION := $(shell grep -e "VERSION = '[0-9]\.[0-9]" codespell.py | cut -f 3 -d ' ')
VERSION = $(subst ',,$(_VERSION))

PHONY = all install git-tag-release

all:
	@echo "Use 'make install' setting prefix and DESTDIR as desired"
	@echo "E.g.: make prefix=/usr/local DESTDIR=/tmp/test-inst install"

install:
	install -d ${DESTDIR}${datadir} ${DESTDIR}${bindir}
	install -m644 -t ${DESTDIR}${datadir} data/dictionary.txt data/linux-kernel.exclude
	install -m755 -T codespell.py ${DESTDIR}${bindir}/codespell
	sed -i "s|^default_dictionary = .*|default_dictionary = '${datadir}/dictionary.txt'|" ${DESTDIR}${bindir}/codespell

git-tag-release:
	git commit -a -m "codespell $(VERSION)"
	git tag -m "codespell $(VERSION)" -s v$(VERSION)
	git gc --prune=0

codespell-$(VERSION).tar.xz.asc: codespell-$(VERSION).tar.xz
	gpg --armor --detach-sign --output codespell-$(VERSION).tar.xz.asc codespell-$(VERSION).tar.xz

codespell-$(VERSION).tar.xz:
	git archive --format=tar --prefix codespell-$(VERSION)/ v$(VERSION) | xz > codespell-$(VERSION).tar.xz

tar-sync: codespell-$(VERSION).tar.xz codespell-$(VERSION).tar.xz.asc
	scp $^ packages.profusion.mobi:/var/www/packages/codespell/

=== debian/changelog ===
codespell (1.6-1) unstable; urgency=low

  * Initial release (Closes: #733131)

 -- Paul Wise <pabs@debian.org>  Thu, 26 Dec 2013 10:01:59 +0800

=== debian/control ===
Source: codespell
Section: devel
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper (>= 9),
 python3
Standards-Version: 3.9.5
Homepage: https://github.com/lucasdemarchi/codespell/

Package: codespell
Architecture: all
Depends:
 python3,
 ${misc:Depends}
Recommends:
 python3-chardet
Description: find and fix common misspellings in text files
 codespell is designed to find and fix common misspellings in text files.
 It is designed primarily for checking misspelled words in source code,
 but it can be used with other files as well.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_test:
	test f66431c66b437c78523bc07b872b9a7b = $$(./codespell.py example/ | md5sum | cut -f1 -d\ )

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://packages.profusion.mobi/codespell/codespell-(\d[\.\d]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## codespell 1.7

=== Makefile ===
prefix ?= /usr/local
bindir ?= ${prefix}/bin
datadir ?= ${prefix}/share/codespell

_VERSION := $(shell grep -e "VERSION = '[0-9]\.[0-9]" codespell.py | cut -f 3 -d ' ')
VERSION = $(subst ',,$(_VERSION))

PHONY = all check install git-tag-release

all: codespell

codespell: codespell.py
	sed "s|^default_dictionary = .*|default_dictionary = '${datadir}/dictionary.txt'|" < $^ > $@

check:
	test f66431c66b437c78523bc07b872b9a7b = $$(./codespell.py example/ | md5sum | cut -f1 -d\ )

install:
	install -d ${DESTDIR}${datadir} ${DESTDIR}${bindir}
	install -m644 -t ${DESTDIR}${datadir} data/dictionary.txt data/linux-kernel.exclude
	install -m755 -T codespell ${DESTDIR}${bindir}/codespell

git-tag-release:
	git commit -a -m "codespell $(VERSION)"
	git tag -m "codespell $(VERSION)" -s v$(VERSION)
	git gc --prune=0

codespell-$(VERSION).tar.xz.asc: codespell-$(VERSION).tar.xz
	gpg --armor --detach-sign --output $@ $^

codespell-$(VERSION).tar.xz:
	git archive --format=tar --prefix codespell-$(VERSION)/ v$(VERSION) | xz > $@

tar-sync: codespell-$(VERSION).tar.xz codespell-$(VERSION).tar.xz.asc
	github-release release --repo codespell --tag v$(VERSION) --name v$(VERSION)
	github-release upload  --repo codespell --tag v$(VERSION) \
		--name codespell-$(VERSION).tar.gz \
		--file codespell-$(VERSION).tar.gz
	github-release upload  --repo codespell --tag v$(VERSION) \
		--name codespell-$(VERSION).tar.gz.asc \
		--file codespell-$(VERSION).tar.gz.asc

=== debian/changelog ===
codespell (1.7-2) unstable; urgency=medium

  * debian/control: changed maintainer email address.
  * Upload to unstable.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 27 Apr 2015 00:15:42 +0200

codespell (1.7-1) experimental; urgency=medium

  * New upstream release: removed upstream applied patches
  * New maintainer: mutually agreed adoption
  * debian/rules: added upstream changelog
  * debian/rules: generate manpage with help2man (Closes: #779900)
  * debian/watch: point to github releases (Closes: #780014)
  * debian/control: adding Vcs-* fields
  * debian/control: bumped Standards-Version to 3.9.6, no changes needed.
  * debian/copyright: Updated Source and Copyright for debian/*
  * Added patch for "Trying next encoding utf-8" (Closes: #763266)

 -- Peter Spiess-Knafl <psk@autistici.org>  Sun, 08 Mar 2015 23:25:27 +0100

codespell (1.6-2) unstable; urgency=medium

  * Fix the watch file & source URL
  * Update colour handling (Closes: #742207)
  * Fix crash on dangling symlinks (Closes: #734419)
  * Drop warnings about empty files (Closes: #733336)
  * Make docs assume pkg is installed (Closes: #734412)

 -- Paul Wise <pabs@debian.org>  Thu, 08 May 2014 20:41:12 +0800

## codespell 1.8

=== Makefile ===
--- 
+++ 
@@ -5,17 +5,18 @@
 _VERSION := $(shell grep -e "VERSION = '[0-9]\.[0-9]" codespell.py | cut -f 3 -d ' ')
 VERSION = $(subst ',,$(_VERSION))
 
-PHONY = all check install git-tag-release
+PHONY = all check clean install git-tag-release
 
 all: codespell
 
 codespell: codespell.py
 	sed "s|^default_dictionary = .*|default_dictionary = '${datadir}/dictionary.txt'|" < $^ > $@
+	chmod 755 codespell
 
 check:
-	test f66431c66b437c78523bc07b872b9a7b = $$(./codespell.py example/ | md5sum | cut -f1 -d\ )
+	test 1bfb1f089c3c7772f0898f66df089b9e = $$(./codespell.py example/ | md5sum | cut -f1 -d\ )
 
-install:
+install: codespell
 	install -d ${DESTDIR}${datadir} ${DESTDIR}${bindir}
 	install -m644 -t ${DESTDIR}${datadir} data/dictionary.txt data/linux-kernel.exclude
 	install -m755 -T codespell ${DESTDIR}${bindir}/codespell
@@ -34,8 +35,11 @@
 tar-sync: codespell-$(VERSION).tar.xz codespell-$(VERSION).tar.xz.asc
 	github-release release --repo codespell --tag v$(VERSION) --name v$(VERSION)
 	github-release upload  --repo codespell --tag v$(VERSION) \
-		--name codespell-$(VERSION).tar.gz \
-		--file codespell-$(VERSION).tar.gz
+		--name codespell-$(VERSION).tar.xz \
+		--file codespell-$(VERSION).tar.xz
 	github-release upload  --repo codespell --tag v$(VERSION) \
-		--name codespell-$(VERSION).tar.gz.asc \
-		--file codespell-$(VERSION).tar.gz.asc
+		--name codespell-$(VERSION).tar.xz.asc \
+		--file codespell-$(VERSION).tar.xz.asc
+
+clean:
+	rm -rf codespell

=== debian/changelog ===
codespell (1.8-1) unstable; urgency=medium

  * New upstream release: removed upstream applied patches
  * d/docs: renamed README to README.md
  * d/copyright: changed maintainer e-mail address

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 24 Jun 2015 17:07:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: codespell
 Section: devel
 Priority: optional
-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Build-Depends:
  debhelper (>= 9),
- python3
-Standards-Version: 3.9.5
+ python3,
+ help2man
+Standards-Version: 3.9.6
 Homepage: https://github.com/lucasdemarchi/codespell/
+Vcs-Git: git://anonscm.debian.org/collab-maint/codespell.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/codespell.git
 
 Package: codespell
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- prefix=/usr
	chmod 755 codespell
	help2man ./codespell \
			--include debian/codespell.1.include \
			--no-info \
			--output codespell.1
	sed -i '/\.SS \"Usage/,+2d' codespell.1

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/lucasdemarchi/codespell/releases \
.*/codespell-(\d[\.\d]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## codespell 1.12.0

=== Makefile ===
SORT_ARGS := -f

PHONY := all check check-dictionary sort-dictionary clean

all: check-dictionary codespell.1

codespell.1: codespell.1.include bin/codespell
	PYTHONPATH=. help2man ./bin/codespell --include codespell.1.include --no-info --output codespell.1
	sed -i '/\.SS \"Usage/,+2d' codespell.1

check-dictionary:
	@if ! LANG=C sort ${SORT_ARGS} -c codespell_lib/data/dictionary.txt; then \
		echo "Dictionary not sorted. Sort with 'make sort-dictionary'"; \
		exit 1; \
	fi

sort-dictionary:
	LANG=C sort ${SORT_ARGS} -u -o codespell_lib/data/dictionary.txt codespell_lib/data/dictionary.txt

pypi:
	python setup.py sdist register upload

clean:
	rm -rf codespell.1

=== debian/changelog ===
codespell (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 09 Mar 2018 18:24:56 +0100

codespell (1.11.0-1) unstable; urgency=medium

  * New upstream release  (Closes: #794322)
    - Fix the cli arg in the manpage (Closes: #794322)
    - Consistent formatting in the manpage (Closes: #794321)
  * d/control: Move to the debian gitlab
  * d/control: Standards-Version updated to 4.1.3
  * d/watch: Update the watch file to correctly detect new version
  * d/control: Add ${python3:Depends} as part of the dep of the package
    Add python3-setuptools as build dep
  * d/control: package moved under the python umbrella + add
    some maintainers
  * d/p/use-python3.patch removed (merged upstream)

  [ Peter Spiess-Knafl ]
  * Updated to dh compat 10
  * Updated build dependencies
  * Excluded one failing test which is only useable after the package is
    installed.
  * Updated d/rules to comply with new upstream release.
  * Added patch to use python3 in shebang of executable.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Mar 2018 16:25:10 +0100

=== debian/control ===
Source: codespell
Section: devel
Priority: optional
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
 Peter Spiess-Knafl <dev@spiessknafl.at>,
 Georg Faerber <georg@riseup.net>
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3,
 python3-nose,
 python3-chardet,
 python3-setuptools,
 help2man
Standards-Version: 4.1.3
Homepage: https://github.com/lucasdemarchi/codespell/
Vcs-Git: https://salsa.debian.org/python-team/modules/codespell.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/codespell

Package: codespell
Architecture: all
Depends:
 python3,
 python3-chardet,
 ${python3:Depends},
 ${misc:Depends}
Description: Find and fix common misspellings in text files
 codespell is designed to find and fix common misspellings in text files.
 It is designed primarily for checking misspelled words in source code,
 but it can be used with other files as well.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --parallel --buildsystem=pybuild

override_dh_auto_build:
	make codespell.1
	dh_auto_build

override_dh_auto_test:
	nosetests3 -e "test_command"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%codespell-$1.tar.gz%" \
    https://github.com/lucasdemarchi/codespell/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## codespell 1.13.0

=== debian/changelog ===
codespell (1.13.0-3) unstable; urgency=medium

  * Do not explicitly ship a non existing file (NEWS)
    (Closes: #903349)
  * Remove the --parallel useless arg

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Jul 2018 17:30:24 +0200

codespell (1.13.0-2) unstable; urgency=medium

  * Use pytest instead of nose

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Jun 2018 20:29:29 +0200

codespell (1.13.0-1) unstable; urgency=medium

  * New upstream release
  * The url of project has been changed
    https://github.com/codespell-project/codespell/
  * Workaround the testsuite issue

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 May 2018 18:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,17 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
+ python-minimal,
  python3,
- python3-nose,
  python3-chardet,
  python3-setuptools,
- help2man
+ python3-pytest,
+ python3-pytest-cov,
+ help2man,
+ virtualenv, python3-virtualenv, python3-distutils
+# to run tests
 Standards-Version: 4.1.3
-Homepage: https://github.com/lucasdemarchi/codespell/
+Homepage: https://github.com/codespell-project/codespell/
 Vcs-Git: https://salsa.debian.org/python-team/modules/codespell.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/codespell

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
# workaround to generate the manpage
	sed -i -e "s|python3|python2|g" ./bin/codespell
	make codespell.1
	sed -i -e "s|python2|python3|g" ./bin/codespell
	dh_auto_build

override_dh_auto_test:
	make check-dictionary
	virtualenv -p python3 venv
	( \
		. venv/bin/activate; \
		python setup.py install; \
		pytest-3 codespell_lib; \
	)
	rm -rf venv

override_dh_clean:
	rm -rf codespell.egg-info .cache .coverage dist venv
	dh_clean

## codespell 1.14.0

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,13 @@
 	sed -i '/\.SS \"Usage/,+2d' codespell.1
 
 check-dictionary:
-	@if ! LANG=C sort ${SORT_ARGS} -c codespell_lib/data/dictionary.txt; then \
+	@if ! LC_ALL=C sort ${SORT_ARGS} -c codespell_lib/data/dictionary.txt; then \
 		echo "Dictionary not sorted. Sort with 'make sort-dictionary'"; \
 		exit 1; \
 	fi
 
 sort-dictionary:
-	LANG=C sort ${SORT_ARGS} -u -o codespell_lib/data/dictionary.txt codespell_lib/data/dictionary.txt
+	LC_ALL=C sort ${SORT_ARGS} -u -o codespell_lib/data/dictionary.txt codespell_lib/data/dictionary.txt
 
 pypi:
 	python setup.py sdist register upload

=== debian/changelog ===
codespell (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Oct 2018 10:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  help2man,
  virtualenv, python3-virtualenv, python3-distutils
 # to run tests
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/codespell-project/codespell/
 Vcs-Git: https://salsa.debian.org/python-team/modules/codespell.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/codespell

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	dh_auto_build
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make check-dictionary
 	virtualenv -p python3 venv
 	( \
@@ -19,6 +20,7 @@
 		pytest-3 codespell_lib; \
 	)
 	rm -rf venv
+endif
 
 override_dh_clean:
 	rm -rf codespell.egg-info .cache .coverage dist venv

## codespell 1.15.0

=== debian/changelog ===
codespell (1.15.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2019 09:53:02 +0200

codespell (1.15.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 17 May 2019 20:23:02 +0200

## codespell 1.16.0

=== Makefile ===
SORT_ARGS := -f -b

DICTIONARY := codespell_lib/data/dictionary.txt

PHONY := all check check-dictionary sort-dictionary trim-dictionary clean

all: check-dictionary codespell.1

codespell.1: codespell.1.include bin/codespell
	PYTHONPATH=. help2man ./bin/codespell --include codespell.1.include --no-info --output codespell.1
	sed -i '/\.SS \"Usage/,+2d' codespell.1

check-dictionary:
	@if ! LC_ALL=C sort ${SORT_ARGS} -c ${DICTIONARY}; then \
		echo "Dictionary not sorted. Sort with 'make sort-dictionary'"; \
		exit 1; \
	fi
	@if egrep -n "^\s*$$|\s$$|^\s" ${DICTIONARY}; then \
		echo "Dictionary contains leading/trailing whitespace and/or blank lines.  Trim with 'make trim-dictionary'"; \
		exit 1; \
	fi

sort-dictionary:
	LC_ALL=C sort ${SORT_ARGS} -u -o ${DICTIONARY} ${DICTIONARY}

trim-dictionary:
	sed -E -i.bak -e 's/^[[:space:]]+//; s/[[:space:]]+$$//; /^$$/d' ${DICTIONARY} && rm ${DICTIONARY}.bak

pypi:
	python setup.py sdist register upload

clean:
	rm -rf codespell.1

=== debian/changelog ===
codespell (1.16.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop useless build-dependency on python-minimal.
    This helps to finish the transition of removing python2.
  * Bump Standards-Version to 4.5.0.
  * Update URL in debian/upstream/metadata to current project.

  [ Debian Janitor ]
  * Remove empty debian/patches/series.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Apr 2020 22:05:34 -0400

codespell (1.16.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release
  * Remove the workaround to generate the manpage

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Sep 2019 17:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
  Georg Faerber <georg@riseup.net>
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- python-minimal,
  python3,
  python3-chardet,
  python3-setuptools,
@@ -17,7 +16,7 @@
  help2man,
  virtualenv, python3-virtualenv, python3-distutils
 # to run tests
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/codespell-project/codespell/
 Vcs-Git: https://salsa.debian.org/python-team/modules/codespell.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/codespell

## codespell 1.17.1

=== Makefile ===
SORT_ARGS := -f -b

DICTIONARIES := codespell_lib/data/dictionary*.txt

PHONY := all check check-dictionaries sort-dictionaries trim-dictionaries check-dictionary sort-dictionary trim-dictionary clean

all: check-dictionaries codespell.1

check-dictionary: check-dictionaries
sort-dictionary: sort-dictionaries
trim-dictionary: trim-dictionaries

codespell.1: codespell.1.include bin/codespell
	PYTHONPATH=. help2man ./bin/codespell --include codespell.1.include --no-info --output codespell.1
	sed -i '/\.SS \"Usage/,+2d' codespell.1

check-dictionaries:
	@for dictionary in ${DICTIONARIES}; do \
		if ! LC_ALL=C sort ${SORT_ARGS} -c $$dictionary; then \
			echo "Dictionary $$dictionary not sorted. Sort with 'make sort-dictionaries'"; \
			exit 1; \
		fi; \
		if egrep -n "^\s*$$|\s$$|^\s" $$dictionary; then \
			echo "Dictionary $$dictionary contains leading/trailing whitespace and/or blank lines.  Trim with 'make trim-dictionaries'"; \
			exit 1; \
		fi; \
	done
	@if command -v pytest > /dev/null; then \
		pytest codespell_lib/tests/test_dictionary.py; \
	fi

sort-dictionaries:
	@for dictionary in ${DICTIONARIES}; do \
		LC_ALL=C sort ${SORT_ARGS} -u -o $$dictionary $$dictionary; \
	done

trim-dictionaries:
	@for dictionary in ${DICTIONARIES}; do \
		sed -E -i.bak -e 's/^[[:space:]]+//; s/[[:space:]]+$$//; /^$$/d' $$dictionary && rm $$dictionary.bak; \
	done

check-manifest:
	check-manifest

pypi:
	python setup.py sdist register upload

clean:
	rm -rf codespell.1

=== debian/changelog ===
codespell (1.17.1-1) unstable; urgency=medium

  * New upstream release
    the TODO file isn't there anymore

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 May 2020 23:53:06 +0200

## codespell 2.0.0

=== debian/changelog ===
codespell (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Nov 2020 20:22:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-# workaround to generate the manpage
-	sed -i -e "s|python3|python2|g" ./bin/codespell
 	make codespell.1
-	sed -i -e "s|python2|python3|g" ./bin/codespell
 	dh_auto_build
 
 override_dh_auto_test:

## codespell 2.1.0

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,17 @@
 
 DICTIONARIES := codespell_lib/data/dictionary*.txt
 
-PHONY := all check check-dictionaries sort-dictionaries trim-dictionaries check-dictionary sort-dictionary trim-dictionary clean
+PHONY := all check check-dictionaries sort-dictionaries trim-dictionaries check-dictionary sort-dictionary trim-dictionary check-manifest check-distutils flake8 pytest pypi clean
 
 all: check-dictionaries codespell.1
+
+check: check-dictionaries check-manifest check-distutils flake8 pytest
 
 check-dictionary: check-dictionaries
 sort-dictionary: sort-dictionaries
 trim-dictionary: trim-dictionaries
 
-codespell.1: codespell.1.include bin/codespell
+codespell.1: codespell.1.include bin/codespell Makefile
 	PYTHONPATH=. help2man ./bin/codespell --include codespell.1.include --no-info --output codespell.1
 	sed -i '/\.SS \"Usage/,+2d' codespell.1
 
@@ -27,6 +29,9 @@
 	done
 	@if command -v pytest > /dev/null; then \
 		pytest codespell_lib/tests/test_dictionary.py; \
+	else \
+		echo "Test dependencies not present, install using 'pip install -e \".[dev]\"'"; \
+		exit 1; \
 	fi
 
 sort-dictionaries:
@@ -42,6 +47,15 @@
 check-manifest:
 	check-manifest
 
+check-distutils:
+	python setup.py check --restructuredtext --strict
+
+flake8:
+	flake8
+
+pytest:
+	pytest codespell_lib
+
 pypi:
 	python setup.py sdist register upload

=== debian/changelog ===
codespell (2.1.0-1) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 20:29:34 +0200

codespell (2.1.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Jun 2021 18:08:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
  Peter Spiess-Knafl <dev@spiessknafl.at>,
  Georg Faerber <georg@riseup.net>
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
@@ -18,8 +18,8 @@
 # to run tests
 Standards-Version: 4.5.0
 Homepage: https://github.com/codespell-project/codespell/
-Vcs-Git: https://salsa.debian.org/python-team/modules/codespell.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/codespell
+Vcs-Git: https://salsa.debian.org/python-team/packages/codespell.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/codespell
 
 Package: codespell
 Architecture: all

## codespell 2.2.1

=== debian/changelog ===
codespell (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2022 18:17:13 +0200

codespell (2.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update standards version to 4.6.0, no changes needed.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 17 Aug 2022 23:00:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	dh_auto_build
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make check-dictionary
 	virtualenv -p python3 venv
 	( \
@@ -17,7 +16,6 @@
 		pytest-3 codespell_lib; \
 	)
 	rm -rf venv
-endif
 
 override_dh_clean:
 	rm -rf codespell.egg-info .cache .coverage dist venv

## codespell 2.2.2

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 			echo "Dictionary $$dictionary not sorted. Sort with 'make sort-dictionaries'"; \
 			exit 1; \
 		fi; \
-		if egrep -n "^\s*$$|\s$$|^\s" $$dictionary; then \
+		if grep -E -n "^\s*$$|\s$$|^\s" $$dictionary; then \
 			echo "Dictionary $$dictionary contains leading/trailing whitespace and/or blank lines.  Trim with 'make trim-dictionaries'"; \
 			exit 1; \
 		fi; \
@@ -45,7 +45,7 @@
 	done
 
 check-manifest:
-	check-manifest
+	check-manifest --no-build-isolation
 
 check-distutils:
 	python setup.py check --restructuredtext --strict
@@ -56,8 +56,5 @@
 pytest:
 	pytest codespell_lib
 
-pypi:
-	python setup.py sdist register upload
-
 clean:
 	rm -rf codespell.1

=== debian/changelog ===
codespell (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Oct 2022 22:53:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Georg Faerber <georg@riseup.net>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  python3,
  python3-chardet,
@@ -16,7 +16,7 @@
  help2man,
  virtualenv, python3-virtualenv, python3-distutils
 # to run tests
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/codespell-project/codespell/
 Vcs-Git: https://salsa.debian.org/python-team/packages/codespell.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/codespell

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
+	V=`dpkg-parsechangelog -SVersion|cut -d- -f1`; \
+	echo -n "__version__=\"" > codespell_lib/_version.py; \
+	echo -n $$V >> codespell_lib/_version.py; \
+	echo -n "\"" >> codespell_lib/_version.py
 	make codespell.1
 	dh_auto_build

## codespell 2.2.5

=== Makefile ===
--- 
+++ 
@@ -2,18 +2,14 @@
 
 DICTIONARIES := codespell_lib/data/dictionary*.txt
 
-PHONY := all check check-dictionaries sort-dictionaries trim-dictionaries check-dictionary sort-dictionary trim-dictionary check-manifest check-distutils flake8 pytest pypi clean
+PHONY := all check check-dictionaries sort-dictionaries trim-dictionaries check-dist pytest pypi ruff clean
 
 all: check-dictionaries codespell.1
 
-check: check-dictionaries check-manifest check-distutils flake8 pytest
+check: check-dictionaries check-dist pytest ruff
 
-check-dictionary: check-dictionaries
-sort-dictionary: sort-dictionaries
-trim-dictionary: trim-dictionaries
-
-codespell.1: codespell.1.include bin/codespell Makefile
-	PYTHONPATH=. help2man ./bin/codespell --include codespell.1.include --no-info --output codespell.1
+codespell.1: codespell.1.include Makefile
+	PYTHONPATH=. help2man codespell --include codespell.1.include --no-info --output codespell.1
 	sed -i '/\.SS \"Usage/,+2d' codespell.1
 
 check-dictionaries:
@@ -44,17 +40,22 @@
 		sed -E -i.bak -e 's/^[[:space:]]+//; s/[[:space:]]+$$//; /^$$/d' $$dictionary && rm $$dictionary.bak; \
 	done
 
-check-manifest:
-	check-manifest --no-build-isolation
+check-dist:
+	$(eval TMP := $(shell mktemp -d))
+	python -m build -o $(TMP)
+	twine check --strict $(TMP)/*
+	rm -rf $(TMP)
 
-check-distutils:
-	python setup.py check --restructuredtext --strict
-
-flake8:
-	flake8
+ruff:
+	ruff .
 
 pytest:
-	pytest codespell_lib
+	@if command -v pytest > /dev/null; then \
+		pytest codespell_lib; \
+	else \
+		echo "Test dependencies not present, install using 'pip install -e \".[dev]\"'"; \
+		exit 1; \
+	fi
 
 clean:
 	rm -rf codespell.1

=== debian/changelog ===
codespell (2.2.5-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 24 Jun 2023 10:45:11 +0200

codespell (2.2.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Jun 2023 23:09:23 +0200

codespell (2.2.4-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Jun 2023 12:00:41 +0200

## codespell 2.2.6

=== debian/changelog ===
codespell (2.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Oct 2023 22:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-setuptools,
  python3-pytest,
  python3-pytest-cov,
+ pybuild-plugin-pyproject,
  help2man,
  virtualenv, python3-virtualenv, python3-distutils
 # to run tests

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	V=`dpkg-parsechangelog -SVersion|cut -d- -f1`; \
	echo -n "__version__=\"" > codespell_lib/_version.py; \
	echo -n $$V >> codespell_lib/_version.py; \
	echo -n "\"" >> codespell_lib/_version.py
	dh_auto_build

override_dh_installman:

	PYTHONPATH=`ls -d ./debian/codespell/usr/lib/python3*/dist-packages/` \
	help2man ./debian/codespell/usr/bin/codespell --include codespell.1.include --no-info --output codespell.1 --no-discard-stderr
	if grep "ModuleNotFoundError: No module named" codespell.1; then exit 1; fi
	sed -i '/\.SS \"Usage/,+2d' codespell.1
	dh_installman

override_dh_auto_test:
	make check-dictionaries

override_dh_clean:
	rm -rf codespell.egg-info .cache .coverage dist venv
	dh_clean

## codespell 2.3.0

=== debian/changelog ===
codespell (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pytest-dependency as a new build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Sep 2024 13:47:49 +0200

codespell (2.2.6-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Drop dependency on python3-distutils
    Closes: #1065839
  * Fix clean target
    Closes: #1043798
  * Standards-Version: 4.6.2 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Drop Homepage from debian/upstream/metadata
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test

  [ Michael R. Crusoe ]
  * d/{control,rules}: build-dep on setuptools-scm to fix embedded version.
  * d/rules: use pybuild to run the tests
  * d/control: now run those Python tests as autopkgtests too
  * d/control: remove virtualenv, it has not been used for testing for a
    while.
  * Silence some lintian false positives about the bundled dictionaries
    being documentation in the wrong place.
  * d/control: reformatted

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 16:32:51 +0300

## codespell 2.4.0

=== debian/changelog ===
codespell (2.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Jan 2025 12:00:07 +0100

=== debian/control ===
Source: codespell
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Peter Spiess-Knafl <dev@spiessknafl.at>,
           Georg Faerber <georg@riseup.net>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-chardet,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-dependency,
               pybuild-plugin-pyproject,
               help2man
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/codespell
Vcs-Git: https://salsa.debian.org/python-team/packages/codespell.git
Homepage: https://github.com/codespell-project/codespell/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: codespell
Architecture: all
Depends: python3,
         python3-chardet,
         ${python3:Depends},
         ${misc:Depends}
Description: Find and fix common misspellings in text files
 codespell is designed to find and fix common misspellings in text files.
 It is designed primarily for checking misspelled words in source code,
 but it can be used with other files as well.

## codespell 2.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
-SORT_ARGS := -f -b
-
-DICTIONARIES := codespell_lib/data/dictionary*.txt
+DICTIONARIES := codespell_lib/data/dictionary*.txt codespell_lib/tests/data/*.wordlist
 
 PHONY := all check check-dictionaries sort-dictionaries trim-dictionaries check-dist pytest pypi ruff clean
 
@@ -14,10 +12,6 @@
 
 check-dictionaries:
 	@for dictionary in ${DICTIONARIES}; do \
-		if ! LC_ALL=C sort ${SORT_ARGS} -c $$dictionary; then \
-			echo "Dictionary $$dictionary not sorted. Sort with 'make sort-dictionaries'"; \
-			exit 1; \
-		fi; \
 		if grep -E -n "^\s*$$|\s$$|^\s" $$dictionary; then \
 			echo "Dictionary $$dictionary contains leading/trailing whitespace and/or blank lines.  Trim with 'make trim-dictionaries'"; \
 			exit 1; \
@@ -31,9 +25,7 @@
 	fi
 
 sort-dictionaries:
-	@for dictionary in ${DICTIONARIES}; do \
-		LC_ALL=C sort ${SORT_ARGS} -u -o $$dictionary $$dictionary; \
-	done
+	pre-commit run --all-files file-contents-sorter
 
 trim-dictionaries:
 	@for dictionary in ${DICTIONARIES}; do \
@@ -47,7 +39,7 @@
 	rm -rf $(TMP)
 
 ruff:
-	ruff .
+	pre-commit run --all-files ruff
 
 pytest:
 	@if command -v pytest > /dev/null; then \
@@ -59,3 +51,6 @@
 
 clean:
 	rm -rf codespell.1
+
+mypy:
+	mypy .

=== debian/changelog ===
codespell (2.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Feb 2025 09:23:28 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PYBUILD_TEST_ARGS=--pyargs codespell_lib -k "not test_permission_error"
export PYBUILD_AFTER_TEST=find {dir} -name junit-results.xml -delete

%:
	dh $@ --buildsystem=pybuild

override_dh_installman:
	PYTHONPATH=`ls -d ./debian/codespell/usr/lib/python3*/dist-packages/` \
	help2man ./debian/codespell/usr/bin/codespell --include codespell.1.include --no-info --output codespell.1 --no-discard-stderr
	if grep "ModuleNotFoundError: No module named" codespell.1; then exit 1; fi
	sed -i '/\.SS \"Usage/,+2d' codespell.1
	dh_installman

override_dh_clean:
	rm -rf codespell.egg-info .cache .coverage dist venv
	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%codespell-$1.tar.gz%" \
    https://github.com/codespell-project/codespell/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
